/**
 * output package name
 */
package com.kingdee.eas.custom.compensation;

import java.util.Map;
import java.util.List;
import java.util.Iterator;
import com.kingdee.util.enums.StringEnum;

/**
 * output class name
 */
public class DepositTypeEnum extends StringEnum
{
    public static final String DEPOSIT_VALUE = "1";//alias=押金收取
    public static final String UNDEPOSIT_VALUE = "0";//alias=押金退换

    public static final DepositTypeEnum Deposit = new DepositTypeEnum("Deposit", DEPOSIT_VALUE);
    public static final DepositTypeEnum UnDeposit = new DepositTypeEnum("UnDeposit", UNDEPOSIT_VALUE);

    /**
     * construct function
     * @param String depositTypeEnum
     */
    private DepositTypeEnum(String name, String depositTypeEnum)
    {
        super(name, depositTypeEnum);
    }
    
    /**
     * getEnum function
     * @param String arguments
     */
    public static DepositTypeEnum getEnum(String depositTypeEnum)
    {
        return (DepositTypeEnum)getEnum(DepositTypeEnum.class, depositTypeEnum);
    }

    /**
     * getEnumMap function
     */
    public static Map getEnumMap()
    {
        return getEnumMap(DepositTypeEnum.class);
    }

    /**
     * getEnumList function
     */
    public static List getEnumList()
    {
         return getEnumList(DepositTypeEnum.class);
    }
    
    /**
     * getIterator function
     */
    public static Iterator iterator()
    {
         return iterator(DepositTypeEnum.class);
    }
}